
Base Distribution - Task # 46324

Work Package # 45013 (Resolved): Flexible plugin integration (TODO: Reviews)

Status: Resolved Priority: Should have
Author: Marc Neuhaus Category:
Created: 2013-03-15 Assigned To: Bastian Waidelich
Updated: 2014-01-30 Due date:
Subject: Example plugin showing off the Flexible plugin integration
Description

History
#1 - 2013-03-18 14:58 - Marc Neuhaus

I've created a package called Flowstarter.Contact with a simple CRUD Controller that is in no way Integrated/Depending on Neos.
Nonetheless it will be adapted through the Flexible Plugin Integration to work inside Neos without Neos specific Modifications.

#2 - 2013-03-18 14:59 - Marc Neuhaus
- % Done changed from 0 to 70

#3 - 2013-03-20 10:41 - Marc Neuhaus
- Assigned To set to Marc Neuhaus

#4 - 2013-04-15 11:10 - Marc Neuhaus
- % Done changed from 70 to 100

Here's a little video of a very basic List/Detail Package:

http://www.youtube.com/watch?v=s67T1vA0myc

This is the pure TYPO3 Package: 
https://github.com/mneuhaus/Flowstarter.Contact

And this the Site Package that contains the configuration to add that Package as a Plugin: 
https://github.com/mneuhaus/Flexible-Plugin-Integration-SitePackage

#5 - 2014-01-30 14:01 - Bastian Waidelich
- Status changed from New to Resolved
- Assigned To changed from Marc Neuhaus to Bastian Waidelich

Simple "Flickr"-Plugin done: https://git.typo3.org/Packages/NeosDemoTypo3Org.git/blob/HEAD:/Configuration/NodeTypes.yaml#l176
